package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.service.ProjectService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "003.項目模快")
@RestController
@RequestMapping("/project")
public class ProjectController {

    @Resource
    private ProjectService projectService;

    @ApiOperation("增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjectInsertReq projectInsertReq
    ) {
        return projectService.insert(projectInsertReq);
    }


    @ApiOperation("删")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projectService.deleteById(id);
    }


    @ApiOperation("删")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projectService.deleteBatch(ids);
    }


    @ApiOperation("改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjectUpdateReq projectUpdateReq
    ) {
        return projectService.update(projectUpdateReq);
    }


    @ApiOperation("分页查")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjectQueryRes>> pageQuery(
            @RequestBody ProjectPageQueryReq projectPageQueryReq
    ) {
        return projectService.pageQuery(projectPageQueryReq);
    }

    @ApiOperation("查")
    @PostMapping(value = "/query")
    public ResponseBean<List<ProjectQueryRes>> query(
            @RequestBody ProjectQueryReq projectQueryReq
    ) {
        return projectService.query(projectQueryReq);
    }

}
