package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_archives")
@org.hibernate.annotations.Table(appliesTo = "t_archives", comment = "文档管理表")
@TableName("t_archives")
public class Archives implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "stage_name", columnDefinition = "varchar(255) comment '阶段名称'")
    private String stageName;

    @Column(name = "document_name", columnDefinition = "varchar(255) comment '文档名称'")
    private String documentName;

    @Column(name = "status", columnDefinition = "varchar(255) comment '提交状态'")
    private String status;

    @Column(name = "type", columnDefinition = "varchar(255) comment '类型(资料要求)'")
    private String type;

    @Column(name = "remark", columnDefinition = "varchar(255) comment '说明'")
    private String remark;

    @Column(name = "username", columnDefinition = "varchar(255) comment '提交人'")
    private String username;

    @Column(name = "is_required", columnDefinition = "varchar(255) COMMENT '是否必填'")
    private String isRequired;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
