package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_demand_attachment")
@org.hibernate.annotations.Table(appliesTo = "t_demand_attachment", comment = "需求库附件")
@TableName("t_demand_attachment")
public class DemandAttachment implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(columnDefinition = "int(11) comment '需求库id'")
    private Integer demandId;

    @Column(columnDefinition = "int(11) comment '文件表id'")
    private Integer fileId;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(columnDefinition = "tinyint(1) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(columnDefinition = "int(11) comment '新增人'")
    private Integer createUserId;
}
