package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_milestone")
@org.hibernate.annotations.Table(appliesTo = "t_milestone", comment = "里程碑表")
@TableName("t_milestone")
public class Milestone implements Serializable {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "project_id", columnDefinition = "int COMMENT '项目id'")
    private Integer projectId;

    @Column(name = "name", columnDefinition = "varchar(255) comment '名称'")
    private String name;

    @Column(name = "status", columnDefinition = "varchar(255) comment '状态'")
    private String status;

    @Column(name = "schedule", columnDefinition = "varchar(255) comment '进度'")
    private String schedule;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @Column(name = "end_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '结束时间'")
    private LocalDateTime endTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
