package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import javax.persistence.*;
import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_o_org")
@org.hibernate.annotations.Table(appliesTo = "t_o_org", comment = "单位名称表")
@TableName("t_o_org")
public class OOrg {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "org_no", columnDefinition = "bigint(20) comment '单位编号'")
    private String orgNo;

    @Column(name = "org_name", columnDefinition = "varchar(255) comment '单位名称'")
    private String orgName;

    @Column(name = "p_org_no", columnDefinition = "varchar(255) comment '父级编号'")
    private String pOrgNo;

    @Column(name = "org_type", columnDefinition = "varchar(255) comment '类型'")
    private String orgType;

    @Column(name = "sort_no", columnDefinition = "bigint(20) comment '排序'")
    private Integer sortNo;


}
