package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjectInsertReq {

        @ApiModelProperty(value = "主键")
            @NotNull(message = "主键不能为空")
        private Integer id;
        @ApiModelProperty(value = "资本性(万元)")
            @NotEmpty(message = "资本性(万元)不能为空")
        private String capital;
        @ApiModelProperty(value = "项目内容")
            @NotEmpty(message = "项目内容不能为空")
        private String content;
        @ApiModelProperty(value = "成本性(万元)")
            @NotEmpty(message = "成本性(万元)不能为空")
        private String cost;
        @ApiModelProperty(value = "储备年份")
            @NotNull(message = "储备年份不能为空")
        private LocalDateTime createTime;
        @ApiModelProperty(value = "")
            @NotNull(message = "不能为空")
        private Integer createUserId;
        @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
            @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
        private Integer deleted;
        @ApiModelProperty(value = "重要等级")
            @NotEmpty(message = "重要等级不能为空")
        private String level;
        @ApiModelProperty(value = "项目名称")
            @NotEmpty(message = "项目名称不能为空")
        private String name;
        @ApiModelProperty(value = "可研情况")
            @NotEmpty(message = "可研情况不能为空")
        private String progress;
        @ApiModelProperty(value = "项目分类")
            @NotEmpty(message = "项目分类不能为空")
        private String projectClassify;
        @ApiModelProperty(value = "项目专业分类")
            @NotEmpty(message = "项目专业分类不能为空")
        private String specialtyClassify;
        @ApiModelProperty(value = "合计(万元)")
            @NotEmpty(message = "合计(万元)不能为空")
        private String total;
        @ApiModelProperty(value = "总投资(万元)")
            @NotEmpty(message = "总投资(万元)不能为空")
        private String totalInvestment;
        @ApiModelProperty(value = "二级分类")
            @NotEmpty(message = "二级分类不能为空")
        private String twoClassify;
        @ApiModelProperty(value = "填报单位")
            @NotEmpty(message = "填报单位不能为空")
        private String unit;
        @ApiModelProperty(value = "下达状态")
            @NotEmpty(message = "下达状态不能为空")
        private String orderStatus;
        @ApiModelProperty(value = "储备状态")
            @NotEmpty(message = "储备状态不能为空")
        private String reserveStatus;

}
