package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjectQueryReq {

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "资本性(万元)")
    private String capital;
    @ApiModelProperty(value = "项目内容")
    private String content;
    @ApiModelProperty(value = "成本性(万元)")
    private String cost;
    @ApiModelProperty(value = "储备年份")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    private Integer deleted;
    @ApiModelProperty(value = "重要等级")
    private String level;
    @ApiModelProperty(value = "项目名称")
    private String name;
    @ApiModelProperty(value = "可研情况")
    private String progress;
    @ApiModelProperty(value = "项目分类")
    private String projectClassify;
    @ApiModelProperty(value = "项目专业分类")
    private String specialtyClassify;
    @ApiModelProperty(value = "合计(万元)")
    private String total;
    @ApiModelProperty(value = "总投资(万元)")
    private String totalInvestment;
    @ApiModelProperty(value = "二级分类")
    private String twoClassify;
    @ApiModelProperty(value = "填报单位")
    private String unit;
    @ApiModelProperty(value = "下达状态")
    private String orderStatus;
    @ApiModelProperty(value = "储备状态")
    private String reserveStatus;

}
